Subject: Linux-Activists - DOC Channel digest. 93-7-31-1:29
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Tue, 31 Aug 1993 07:41:12 +0300

Topics:
	 New Networking Guide

----------------------------------------------------------------------

From: [email-masked] (Olaf Kirch)
Subject: New Networking Guide
Date: Tue, 31 Aug 1993 00:02:46 +0300

Hi, everybody!

As promised, I finished the next edition of the networking
guide in August (close call.... :-). I've been away for two
weeks, and didn't have the time to finish it before left.

Anyway, here it is now, the first public release of the networking
guide. I've just uploaded it to tsx-11, sunsite, and funet.
Although it's still nominally alpha, it should appear in the
~/docs/LDP directories. The alpha is there mainly because the
net-2 release covered in the book is still alpha, too.

Please, have a look at it, and send me your reviews/flames/corrections.

Yours sincerely,
Olaf

For your convenience, I append the README.
------------------------------------------------------------

Hi, all!

Finally, here it comes: The Linux Network Administrators' Guide!
Although it is far from perfect, I feel that it's high time to release
a version to the public.

This Guide has been written in cooperation with the Linux 
Documentation Project, and covers both TCP/IP-based as well as
UUCP networking.

The document is available in DVI, Postscript, and Latex source.
ASCII support is also provided, giving a version that can be
processed by groff. It may be far from perfect, but at least
it's there :-) If desired, I can also make a GNU info
version of the book.

What is the Network Administrators' Guide?
------------------------------------------

This is version 0.4 ALPHA of my networking guide for Linux.
I still call it an ALPHA release because NET-2 is still changing
so quickly; furthermore some chapters will need serious
rewriting.

The Networking Guide is written for people who want to use
their Linux system in a networked environment, relying either
on TCP/IP or UUCP. When writing it I tried to put in enough
information so that people who know next to nothing about
networking can get their machine working nevertheless (at least
in theory... :-)

Features:

        * Includes an extensive introduction to TCP/IP
        covering the whole thing from the physical layer
        up to the application layer.

        * Covers NET-2 setup, including hardware setup
        (Ethernet, SLIP, PLIP), IP interface setup,
        and building of static routing tables with route(8).
        NOTE: I have been away for the last two weeks, so I
        don't know if I missed any important developments in
        from NET-2 department. This chapter is the next
        candidate for revision.

        * Explains the most important TCP/IP applications
        along with their config files: inetd, tcpd, the r*
        clients, RPC, NFS, and FTP server setup.

        * Covers setup of Taylor UUCP (compiled for
        BNU configuration).

        * Explains basic concepts of email, and covers
        setup of smail and sendmail.

        * Setup of Cnews and assorted newsreaders

        * Has three fancy pictures :-)

        * TeXinfo and roff versions available.

Misfeatures:

        * The Guide still has gaping holes in some
        places: There is no remote printing, no BOOTP setup, 
        no automounter, etc. See the TODO file for what's not yet
        in.

        * I'm not yet content with the sendmail chapter.
        Same applies to the newsreader section. Suggestions
        on what to include and omit are welcome.

        * Needs more pictures.

        * TeXinfo and roff versions don't look too nice.

Networking Guide Distribution
-----------------------------

The NAG comes in a number of formats. You may either retrieve
the complete LaTeX source, or any preconverted version. They
may currently be found at

        tsx-11.mit.edu:/pub/linux/docs/LDP

or
        sunsite.unc.edu:/pub/Linux/docs/LDP

or

        nic.funet.fi:/pub/OS/Linux/doc/LDP

The different packages are:

netguide-0.4.src.tgz:   The complete source, together with the
                        files needed for generating the other
                        formats (except for the texify tool).

netguide-0.4.dvi.tgz:   DVI version

netguide-0.4.ps.tgz:    Postscript version

netguide-0.4.roff.tgz:  roff version. This was generated from the
                        TeXinfo version using texi2roff. It is not
                        very satisfactory yet, but then, I've no
                        idea of roff. I converted it to use the ms
                        macro package, because the commands looked
                        vaguely familiar to me. To show it on the
                        screen, type

                         groff -mgs nag.roff | less

                        Some day in the future I may turn to mm macros
                        instead, because they have good cross-references
                        etc.

Source Notes
------------

The pictures in this book have been produced with xfig, and translated
to eepic/Latex input. You need the epic and eepic style files for this. 
Since they are not incorporated in the SLS release of TeX (at least not
the one I've got), I have included them here.

If your dvi printer filter doesn't recognize the graphic specials, you
may have to use the Postscript version. Either get the Posscript version or
convert the dvi file to Postscript. Simply type 'make net.ps'. Note that
this will use dvips, because I know that dvitops does _not_ understand
the eepic graphics specials.

If this still won't work, you have to wait until I upload the FIG
versions of the pictures (I lost the FIG version of one of these
images :-() and convert these to Postscript as well.

The pictures are also there in the ASCII version. If you know what they
are meant to show, you can even see it.

Formatting now looks quite well in most places (thanks to
Michael K. Johnson's work!), but there are still a few overfull hboxes.
These come from {\tt very/long/file/names} and the like. They will be dealt
with once we have a fixed version.

Author's Blurb
--------------

Last not least, some personal words: As I said when volunteering
for this job, my knowledge of TCP/IP networking is a bit on
the theoretical side. On my Linux box, I do everything in loopback
mode, and in terms of UUCP connectivity, I only run a leaf site.
Thus I can't claim too much first-hand experience. So if you find
anything you think is wrong or ambiguous, don't hesitate to point
this out. Thanks a lot.

If you have suggestions/comments/complaints, mail me at

        [email-masked].

Yours,
Olaf

Copyright Notice
----------------

The Linux Network Administrators' Guide is Copyright (C) by Olaf Kirch.
See the file COPYING for your rights in copying and printing it.

------------------------------

End of DOC Digest
*****************
-------